/*--------------------------------------------------------------------
 * korebot.h - KoreBot Library
 *--------------------------------------------------------------------
 * $Id: korebot.h,v 1.1.1.1 2009-09-02 08:45:11 jtharin Exp $
 *--------------------------------------------------------------------
 * $Author: jtharin $
 * $Date: 2009-09-02 08:45:11 $
 * $Revision: 1.1.1.1 $
 *--------------------------------------------------------------------*/

#ifndef __korebot__
#define __korebot__

#define KB_VERSION  1
#define KB_REVISION 14

/*!
 * Define if KoreMotor is programmed with firmware 6.0 or newer
 */
#define NEW_KMOT_FIRMWARE

#include <dirent.h>
#include <errno.h>
#include <fcntl.h>
#include <pthread.h>
#include <termio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <getopt.h>

#include "kb_init.h"
#include "kb_error.h"
#include "kb_memory.h"
#include "kb_time.h"
#include "kb_cmdparser.h"
#include "kb_symbol.h"
#include "kb_config.h"
#include "kb_socket.h"
#include "kb_sound.h"
#include "kb_wav.h"
#include "kb_gpio.h"
#include "kb_pwm.h"
#include "kb_lrf.h"
#include "kb_khepera3.h"

#include "knet.h"

#include "kbot.h"
#include "kmot.h"
#include "hem.h"
#include "koala.h"
#include "koreio.h"

#include "ltc1663.h"

#endif /* __korebot__ */
