
/*-------------------------------------------------------------------------------
 * Project: KoreBot Library	
 * $Author: jtharin $
 * $Date: 2009-09-02 08:45:12 $
 * $Revision: 1.1.1.1 $
 * 
 * 
 * $Header: /mnt/home/cvs/PicoITXsoftware/libkorebot-1.14-kb1/src/tests/koala_test.c,v 1.1.1.1 2009-09-02 08:45:12 jtharin Exp $
 */

/*--------------------------------------------------------------------*/
/*! 
 * \file   koala_test.c koala test program 
 *
 * \brief
 * 	  test program to check the communication between the korebot and the koala.
 *
 * \author   Pierre Bureau (K-Team SA)
 * \note     Copyright (C) 2004 K-TEAM SA
 */



#include <korebot/korebot.h>

int main( int argc , char * argv[] )
{
  knet_dev_t *koala;
  int rc;
  unsigned char buf[16];
  unsigned char a,b,c,d;

  kb_set_debug_level( 2 );

  if((rc = kb_init( argc , argv )) < 0 )
    return 1;

  koala = knet_open( "Koala:Robot", KNET_BUS_ANY, 0 , NULL );
  if(!koala)
    printf("Open failed\r\n");
  
  koa_getOSVersion(koala,&a,&b,&c,&d);
  printf("OS revision %d.%d  protocol %d.%d\r\n",a,b,c,d);

  koa_setSpeed(koala,10,10);
  sleep(1);
  koa_setSpeed(koala,-10,-10);
  sleep(1);

  koa_setSpeed(koala,0,0);

  kb_config_exit();
  
  return 0;
}

