#include <korebot/korebot.h>
#include "i2ccom.h"

int printdev(i2c_t * i2c, i2c_dev_t dev, void * param)
{
  printf("Found device 0x%x\r\n",dev);
}
	      
int main(int argc, char *argv[]) {
  i2c_t i2c;
  int rc;
  int out;

  /* Set the libkorebot debug level - Highly recommended for development. */
  kb_set_debug_level(2);

  if((rc = kb_init( argc , argv )) < 0 )
  {
    printf("kbinit error n: %d\r\n",rc);
    return 1;
  }

  if(i2c_open( &i2c , NULL)) {
    perror("open");
    exit(1);
  }

  printf("K-Team I2C scan 2\r\n");

  out=i2c_scan(&i2c,printdev,NULL);
  
  
  if (out <0 )
  {
    printf("Standard error code (see errno.h): %d\r\n",out);
  
  
  } else
  { 
    printf("Number of devices found on the I²C bus: %d\r\n",out);
  
      
  }
  
  
  
 
  
  printf("end\r\n");
  
}    
